
Figure - Bug #118415
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，CRASH: com.android.settings (32）
2023-06-01 10:52 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-01

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106（529版）

Resolution: WORKSFORME Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-06-02

Test Type: Monkey Test Root cause: AndroidX 库问题。

Description

【测试环境】

副屏连接中控、喇叭、音频通路正常

【执行命令】

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes 

--ignore-native-crashes -s  20  --throttle 500  --pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch  10 

--pct-anyevent  10  --ignore-crashes   -v -v -v 1432000 3>/sdcard/monkey.log 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.settings (pid 2303)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'void

androidx.recyclerview.widget.RecyclerView.setAdapter(androidx.recyclerview.widget.RecyclerView$Adapter)' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3688:user/test-keys

// Build Changelist: 3688

// Build Time: 1685344778000

// java.lang.NullPointerException: Attempt to invoke virtual method 'void

androidx.recyclerview.widget.RecyclerView.setAdapter(androidx.recyclerview.widget.RecyclerView$Adapter)' on a null object reference

//     at androidx.preference.PreferenceFragmentCompat.bindPreferences(PreferenceFragmentCompat.java:495)

//     at androidx.preference.PreferenceFragmentCompat$1.handleMessage(PreferenceFragmentCompat.java:127)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

Related issues:

Related to Figure - Bug # 117804: 【AF】【EVT3】【Monkey】Monke... CLOSED 2023-05-08

History
#1 - 2023-06-01 10:58 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118415

#2 - 2023-06-01 18:19 - CD FW-廖涛

■ Current conclusion

已处理，代码已提交。

■ Next action

等待 Review 入库。

#3 - 2023-06-02 17:38 - CD FW-廖涛

- Status changed from New to ASSIGNED

- % Done changed from 0 to 100

- Degrated changed from -- to No

- Root cause set to AndroidX 库问题。

#4 - 2023-06-02 19:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204109 general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix NullPointerException in PreferenceFragmentCompat.TC-RID: 1201-0201813IssueID: TS-R-BUG-118415Change-Id:

I781fb75c120b61cfc264859034a5ce4658e8453a

#5 - 2023-06-02 19:22 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-02

■ Current conclusion

已处理，代码已入库。

■ Next action

测试验证。

#6 - 2023-06-12 10:57 - CD TEST-方永红

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to CD FW-廖涛

6.12

108版本复现

2025-07-04 2/4

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118415


ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118415/612NEW

#7 - 2023-06-12 15:43 - CD FW-廖涛

- Status changed from VERIFY_FAILED to ASSIGNED

#8 - 2023-06-12 15:46 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- Resolution changed from FIXED to --

■ Current conclusion

第 75 次开机的日志，除了 Monkey 的 error 信息中有崩溃日志外，logcat 日志中没有相关信息，且无法判断 Crash 发生时间。

由于崩溃信息中的出错位置为 AndroidX 库中，处理仅能在子页面做保护，所以需要进一步的日志信息确认发生问题的页面，才能针对性做保护处理。

■ Next action

需要重新跑 Monkey 复现问题并且提供对应日志。

#9 - 2023-06-12 16:06 - CD TEST-方永红

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD SYSTEM-夏旭

hi，夏旭

麻烦看下日志中为什么没有相关信息，谢谢。

#10 - 2023-06-14 20:03 - CD SYSTEM-夏旭

■目前进展

有对应settings的anr文件产生，./FSEM_000075_0369_0610053004/fatal/anr/anr_2023-06-10-05-24-43-171

去查看对应时间的log cat文件发现一直在打印如下log，并且很频繁，日志缓冲区就256k，怀疑是相关的crash信息被覆盖了，导致在log cat里面找到

06-10 05:43:58.043 10335 10512 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.043 10335 13280 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.043 10335 13644 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.044 10335 10512 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.044 10335 13280 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.044 10335 13644 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.044 10335 10512 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.044 10335 13280 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.044 10335 13644 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.044 10335 10512 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.045 10335 13280 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.045 10335 13644 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.045 10335 10512 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.045 10335 13280 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.045 10335 13644 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.045 10335 10512 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.045 10335 13280 E HomepageManager: Exception occurred during okhttp proceed
06-10 05:43:58.045 10335 13644 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.045 10335 10512 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.046 10335 13280 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.046 10335 13644 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.046 10335 10512 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.046 10335 13280 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.046 10335 13644 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.046 10335 10512 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.046 10335 13280 E HomepageManager: Exception occurred during okhttp proceed

06-10 05:43:58.046 10335 13644 E HomepageManager: Exception occurred during okhttp proceed

■下一步计划

调查这个log是哪一个应用打印的

#11 - 2023-06-15 18:00 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD SYSTEM-夏旭 to CD TEST-方永红

■目前进展

调查发现这个log是Edge浏览器打印的，如果点进浏览器的时候没有联网，就会一直打印这个log

和测试沟通跑monkey的时候是会联网的，可能是中控的网络不可用导致

■下一步计划

等待网络问题修复后再进行复现

https://share.thundersoft.com/redmine/issues/117934

#12 - 2023-06-15 18:31 - CDTS_TEST 王成

- Severity changed from Major to Critical

#13 - 2023-07-25 16:35 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WORKSFORME

7.25

查看近期日志，暂未发现该问题，先关闭

#14 - 2023-07-25 16:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#15 - 2023-07-25 16:36 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

monkey(4).log 24.3 MB 2023-06-01 CD TEST-方永红
